org.apache.lucene.search.similarities

## Class Normalization.NoNormalization

- java.lang.Object
- - org.apache.lucene.search.similarities.Normalization
  - - org.apache.lucene.search.similarities.Normalization.NoNormalization

Enclosing class:
  Normalization

    public static final class Normalization.NoNormalization
    extends Normalization

Implementation used when there is no normalization.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.similarities.Normalization

`Normalization.NoNormalization`

### Constructor Summary

Constructors
Constructor and Description
`Normalization.NoNormalization()` Sole constructor: parameter-free

### Method Summary

Methods
`Explanation` `explain(BasicStats stats, float tf, float len)` Returns an explanation for the normalized term frequency.
`float` `tfn(BasicStats stats, float tf, float len)` Returns the normalized term frequency.
`String` `toString()` Subclasses must override this method to return the code of the normalization formula.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Normalization.NoNormalization

    public Normalization.NoNormalization()

Sole constructor: parameter-free

### Method Detail

#### tfn

    public final float tfn(BasicStats stats,
            float tf,
            float len)

Description copied from class: `Normalization`
Returns the normalized term frequency.

Specified by:
  `tfn` in class `Normalization`
  `len` - the field length.

#### explain

    public final Explanation explain(BasicStats stats,
                      float tf,
                      float len)

Description copied from class: `Normalization`
Returns an explanation for the normalized term frequency.

The default normalization methods use the field length of the document and the average field length to compute the normalized term frequency. This method provides a generic explanation for such methods. Subclasses that use other statistics must override this method.

Overrides:
  `explain` in class `Normalization`

#### toString

    public String toString()

Description copied from class: `Normalization`
Subclasses must override this method to return the code of the normalization formula. Refer to the original paper for the list.

Specified by:
  `toString` in class `Normalization`